%global modulename bin-links

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-bin-links
Version:        1.1.2
Release:        1%{?dist}
Summary:        JavaScript package binary linker

License:        Artistic 2.0
URL:            https://github.com/npm/bin-links#readme
Source0:        https://registry.npmjs.org/bin-links/-/bin-links-1.1.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(bluebird) >= 3.5.0 with npmlib(bluebird) < 4.0.0))
BuildRequires:  ((npmlib(cmd-shim) >= 2.0.2 with npmlib(cmd-shim) < 3.0.0))
BuildRequires:  ((npmlib(gentle-fs) >= 2.0.0 with npmlib(gentle-fs) < 3.0.0))
BuildRequires:  ((npmlib(graceful-fs) >= 4.1.11 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(write-file-atomic) >= 2.3.0 with npmlib(write-file-atomic) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
JavaScript package binary linker

%package 1.1.2
Summary:        JavaScript package binary linker


%description 1.1.2
JavaScript package binary linker

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.1.2
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.1.2-1
- Package automatically generated by npm2srpm
